services:
  pgadmin:
    image: dpage/pgadmin4:latest
    container_name: pgadmin
    environment:
      PGADMIN_DEFAULT_EMAIL: m.pedone98@gmail.com
      PGADMIN_DEFAULT_PASSWORD: rootpost
      PGADMIN_CONFIG_CONSOLE_LOG_LEVEL: 10
    ports:
      - "5050:80"
    volumes:
      - pgadmin_data:/var/lib/pgadmin
    restart: unless-stopped

volumes:
  pgadmin_data:
